Skip to main content
Weavr Multi Product API
Authorised Users

Update a user

PATCH/users/{user_id}

Update the details of a user identified by the user_id in the the path parameter.

Only the fields that are specified in the request body will be updated. All other fields will remain unchanged.

When patching a mobile number, the new mobile number should be enrolled for Additional Factors.

Request

Path parameters

Header parameters

Request body

*
application/json
{}
objectobject · 8 fields

Responses

200OK

Success

Headers
Body
application/json
{}
UserUser · object · 12 fields
Response example
{  "id": "string",  "identity": {    "type": "CONSUMER",    "id": "string"  },  "name": "string",  "surname": "string",  "email": "string",  "mobile": {    "countryCode": "string",    "number": "string"  },  "active": true,  "dateOfBirth": {    "year": 0,    "month": 0,    "day": 0  },  "tag": "string",  "countryOfResidence": "string",  "locale": "en-GB",  "brand": "string"}